参考生视频
Last updated: Nov 4, 2026
POST
根据参考图(可按主体分组)生成视频。
请求参数完全对标 原厂文档,下表为常用字段。返回 任务 ID。
使用 TE 北京地域 API Key 鉴权。模型能力、调用约定见 Vidu 接口概览。
BearerAuthheader
AuthorizationBearer <token>TE 北京地域 API Key,填写后自动添加 Bearer 前缀。
application/json- body
model*string模型,如 viduq3、viduq3-mix
prompt*string提示词;主体调用时用 [@主体名] 引用
subjects?array<>主体列表 [{name, images}],与 images 二选一
images?array<string>参考图 URL 列表(非主体调用)
duration?integer视频时长(秒)
off_peak?boolean是否错峰生成
成功;具体状态及结果见响应字段。
application/json- response
task_id?stringcurl -X POST 'https://vod.bj.baidubce.com/v3/aigc/vd/ent/v2/reference2video' \ -H 'Content-Type: application/json' \ -d '{ "model": "viduq3-mix", "subjects": [ { "name": "1", "images": [ "https://example.com/reference2video-2.png" ] }, { "name": "2", "images": [ "https://example.com/reference2video-3.png" ] } ], "prompt": "[@1] 和 [@2] 在一起吃火锅。", "duration": 8}'Example Response200
{ "task_id": "tsk-xxxxxxxxxxxxxxxx"}
